MiniMax H3 Image to Video Audio LoRA Trainer
統合
モデルID
minimax/h3/i2v/trainer
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/h3/i2v/trainer?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"training_data_url": "https://example.com/your-file.zip"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/minimax/h3/i2v/trainer?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"training_data_url": "https://example.com/your-file.zip"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"training_data_url": "https://example.com/your-file.zip",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/minimax/h3/i2v/trainer", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ja/developers/docs/mcp)
claude mcp add --transport http doitong-models https://vit.doitong.com/api/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "minimax/h3/i2v/trainer",
"input": {
"training_data_url": "https://example.com/your-file.zip"
}
}
Doitong APIを通じてMiniMax H3 Image to Video Audio LoRA Trainerモデル(minimax/h3/i2v/trainer)を呼び出します。エージェント向けドキュメント: https://doitong.com/ja/developers/models/minimax/h3/i2v/trainer.md
POST https://vit.doitong.com/api/v1/run/minimax/h3/i2v/trainer?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"training_data_url": "https://example.com/your-file.zip"
}
レスポンスのステータスが"queued"または"running"の場合、"succeeded"になるまでGET https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20をポーリングしてください。ファイルはoutputs[].urlにあります。同じボディでPOST https://vit.doitong.com/api/v1/quote/minimax/h3/i2v/trainerを実行すると、実行前の正確な価格が返されます。
このリクエスト: $20.00 20,000 APIクレジット このページで実行
新しいAPIキーです。 これは今だけ表示され、コードと下記のAPIキー欄にすでに入力されています。秘密にしてください。ブラウザで実行されるコードに決して含めないでください。
MiniMax · ファイル
最初の結果がここに表示されます
以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。
リクエストを作成
コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。
POST
/run/minimax/h3/i2v/trainer?wait=20
見積もり → $20.00
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/h3/i2v/trainer?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"training_data_url": "https://example.com/your-file.zip"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/minimax/h3/i2v/trainer?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"training_data_url": "https://example.com/your-file.zip"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"training_data_url": "https://example.com/your-file.zip",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/minimax/h3/i2v/trainer", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "minimax/h3/i2v/trainer",
"input": {
"training_data_url": "https://example.com/your-file.zip"
},
"wait_seconds": 20
}
}
}
MiniMax H3 Image to Video Audio LoRA Trainerについて
`training_data_url`にある動画クリップのzipからLoRAを学習し、初フレーム条件付けによって静止画を動画にアニメーション化します。データセットには動画のみを含める必要があります。設定には`rank`(8~128)、最大15000の`number_of_steps`、22~124の`number_of_frames`、8~60の`frame_rate`、`trigger_phrase`があります。LoRAの重みと設定ファイルを出力します。
パラメータ
名前型
デフォルト許可される値
説明
training_data_url必須
型string
トレーニング動画を含むZIPのURL。形式は.mp4、.mov、.avi、.mkvで、少なくとも10個のクリップを推奨し、より大規模なコレクションが望まれます。画像はトレーニングメディアにできません。画像のみのデータセットや、トレーニング画像と動画を混在させたアーカイブは拒否されますが、一部のエンドポイントでは画像を条件付け用サイドカーとして使用できます。オプションのキャプションファイルをクリップに添付でき、各テキストファイルは動画と同じベース名を持つ必要があります。
rank任意
型enum
デフォルト32
8163264128
LoRA 適応ランク。値を上げるとメモリ消費が増える代わりに容量が向上します。
number_of_steps任意
型integer
デフォルト2000
1 – 15,000
トレーニングステップの総数。
learning_rate任意
型number
デフォルト0.0002
0.000001 – 1
最適化の学習率。増加させると学習が高速化する可能性がある一方、過学習のリスクも高まるため、そのバランスを調整します。
number_of_frames任意
型integer
デフォルト73
22 – 124
各トレーニングサンプルのフレーム数。17で割った余りが5になる必要があります。例:22、39、56、73、90、107、124。
frame_rate任意
型integer
デフォルト24
8 – 60
目標動画フレームレート。フレーム per secondで測定します。
resolution任意
型enum
デフォルトmedium
lowmediumhigh
トレーニング解像度。解像度を上げるとメモリ要件が増加します。
aspect_ratio任意
型enum
デフォルト16:9
21:916:94:31:13:49:16
MiniMax H3 APIで使用できるものと同じ集合から、トレーニングのアスペクト比を選択します。
trigger_phrase任意
型string
デフォルト
LoRA スタイルの有効化フレーズ。トレーニング中にキャプションの先頭へ挿入されます。
first_frame_conditioning_p任意
型number
デフォルト0.5
0 – 1
学習で先頭フレーム条件付けを使用する頻度を増やし、画像から動画への性能を向上させます。この値がその確率を設定します。
auto_scale_input任意
型boolean
デフォルトfalse
自動動画スケーリングによって対象fpsとフレーム数を一致させるかどうか。trueでこの調整を有効にします。
split_input_into_scenes任意
型boolean
デフォルトtrue
しきい値を超える長さの動画を対象としたシーン分割。有効にすると true になります。
split_input_duration_threshold任意
型number
デフォルト30
1 – 60
シーン分割のトリガー。秒単位の長さで表し、しきい値より長い動画のみ分割します。
debug_dataset任意
型boolean
デフォルトfalse
完全なトレーニング実行前に動画、画像、キャプションを確認する前処理検査モード。有効にすると、トレーナーが処理済みのトレーニングデータセットを手動確認用のダウンロード可能なアーカイブとして返します。
strict_dataset任意
型boolean
デフォルトfalse
通常はログに記録され、文書化されたフォールバックで解決される前処理問題を厳密に処理します。有効にすると、空のプロンプトが必要なキャプション、欠落したサイドカーキーフレーム、音声を読み取れない動画を拒否し、空のプロンプト、クリップフレーム、無音への置換を行いません。
必須
出力
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "minimax/h3/i2v/trainer",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 20000,
"usd": "20.00",
"charged": 20000,
"refunded": 0
},
"input": {
"training_data_url": "https://example.com/your-file.zip"
},
"output": {
"lora_file": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"config_file": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"debug_dataset": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
}
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
- lora_file
- object {url, content_type, file_name, file_size}.safetensors 形式のトレーニング済み LoRA 重みの URL。
- config_file
- object {url, content_type, file_name, file_size}推論エンドポイントのセットアップ設定。
- debug_dataset
- object {url, content_type, file_name, file_size} | null`debug_dataset`を有効にしたリクエストでのみ利用できます。前処理後のトレーニングデータを格納したダウンロード可能なアーカイブです。
その他のMiniMax H3バリアント
その他のモデル: トレーニング
AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/minimax/h3/i2v/trainer.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt